** Diese Datei enthlt die Hilfe-Texte zum Programm und wird **
** von diesem geladen. Datei bitte nicht verndern!          **

[ Aufrufparameter ]
 Aufrufparameter 
Das Programm erlaubt beim Aufruf folgende Parameter:

-P <Datei>  spezifiziert eine neue Datei mit Prfungstexten, die
            statt der Vorgabedatei PRUEFTXT.MT verwendet wird
-Q <Datei>  spezifiziert eine neue Datei mit QSO-Texten, die
            statt der Vorgabedatei QSOTEXTE.MT verwendet wird
-T <Datei>  spezifiziert eine neue Datei mit Klartexten, die 
            statt der Vorgabedatei KLARTEXT.MT verwendet wird
-NOMOUSE    deaktiviert die Maus; verwenden Sie diesen Parame-
            ter, wenn das Programm mit der von Ihnen verwen-
            deten Maus nicht korrekt arbeiten sollte.
-MX <N>     N setzt die Empfindlichkeit der Maus in x- bzw. in
-MY <N>     y-Richtung. Je kleiner der Wert N, umso empfindlicher
            die Maus; N darf zwischen 1 und 50 liegen. 

Beispielaufruf: MT -my 10 -mx 20 -Q myqso.txt -p mypruef.txt

[ Bedienung des Morse-Trainers ]
 Bedienung 

Das Programm kann mit Tastatur und/oder Maus bedient werden. Die
Grundfunktionen lassen sich mit den Tasten ENTER, ESC und den
Cursor-Tasten UP, DOWN, LEFT und RIGHT steuern. Ja/Nein - Fragen
knnen wahlweise mit den Tasten 'J'/'N' oder ENTER/ESC beantwor-
tet werden; bei der Maus entspricht die linke Maustaste ENTER und
die rechte ESC. Die jeweils gltigen Tasten und ihre Funktionen
werden in der Fuzeile und/oder in den Anwendungen angezeigt.

Sollte das Programm mit der von Ihnen verwendeten Maus nicht mehr
korrekt arbeiten, verwenden Sie den Parameter -NOMOUSE, um die
Maus zu deaktivieren und bedienen Sie das Programm ber Tastatur.

[ Konfiguration I ]
 Konfiguration I 
ber das Konfigurations-Men lassen sich einige wichtige Grund-
einstellungen des Morse-Trainers vornehmen:
Tonhhe:     Einstellen der Tonhhe
Wortlnge:   Einstellen der max. Wortlnge fr Wrter in der
             bung 'Textgenerator'
Wortabstand: Einstellen des Vielfachen des Norm-Wortabstandes
             (bestimmt die Pausen zwischen Wrtern und Gruppen)
Optionen:    siehe Hilfetext 'Konfiguration II'
BpM-Test:    Das Programm fhrt eine Geschwindigkeits-Anpassung
             an Ihren Rechner durch. Dazu wird bei 60 BpM 12 mal
             das Bezugswort PARIS ausgegeben und ein Korrektur-
             wert fr Ihren Rechner ermittelt. Sollte die Anpas-
             sung nicht mglich sein, rate ich vom Gebrauch des 
             Programms ab, da ein sinnvolles Arbeiten nur be-
             grenzt oder gar nicht mglich ist.
Diese und alle anderen Konfigurationswerte werden bei Programm-
ende in der Datei CONFIG.MT gespeichert und beim Neustart auto-
matisch geladen.

[ Konfiguration II: Optionen ]
 Konfiguration II: Optionen 

3 v's zur Einfhrung:
   Vor Begin eines Morsedurchgangs werden 3 v's gesendet.
Prfungstexte mit Trennung:
   Die drei unterschiedlichen Abschnitte in den Prfungstexten
   werden durch 3 v's getrennt, andernfalls erfolgt der bergang
   flieend.
Rufzeichen im Pile-Up-Modus:
   Aktiviert den Pile-Up-Modus fr die bung 'Rufzeichen'. (Er-
   luterung siehe Hilfetext 'Fnfergruppen und Rufzeichen'.)
Texte whrend Ausgabe unsichtbar:
   Die gemorsten Zeichen werden erst nach dem Morsedurchgang
   sichtbar gemacht.
Texte drucken:
   Druckt die erzeugten Texte nach dem Morsedurchgang aus. Das
   Programm erwartet einen Drucker an LPT1.
   
[ Allgemeine Hinweise zu den bungen ]
 bungen allgemein 
Der Beginn eines Morsedurchgangs wird durch das Anfangszeichen ct
(---), das Ende durch das Endezeichen ar(--) gekennzeichnet.
Diese Zeichen erscheinen nicht auf dem Bildschirm und brauchen
auch nicht mitgeschrieben zu werden.

Eine laufende bung kann jederzeit durch Drcken von 'P' unter-
brochen bzw. durch Drcken von ESC vorzeitig beendet werden. Be-
achten Sie, da etwas Zeit vergeht, bevor das Programm auf die
Unterbrechnung oder den Abbruch reagieren kann.

Die Geschwindigkeit kann vor und whrend einer bung ber die
Tasten UP und DOWN eingestellt werden.

Ist die Option 'Texte whrend Ausgabe unsichtbar' gesetzt, er-
scheint nach Start der bung nur die Meldung "bung luft...".
Erst nach Ende des Durchgangs werden die Zeichen ausgegeben.
Ist die Option 'Texte drucken' gesetzt, erscheint nach Ende des
Durchgangs ein Dialogfenster fr den Ausdruck.

[ Die bungen 'Tastatur' und 'Zeichen lernen' ]
 'Tastatur' und 'Zeichen lernen' 

Die bung 'Tastatur' bietet die einfachste Mglichkeit, sich mit
den Klangbildern der einzelnen Zeichen vertraut zu machen. Die
eingegebenen Zeichen werden sofort gemorst und auf dem Bildschirm
ausgegeben.

Verwenden Sie die bung 'Zeichen lernen', wenn Sie sich etwas in-
tensiver mit den Zeichen der einzelnen Lektionen vertraut machen
wollen. Jedes Zeichen wird zunchst jeweils 3 mal vorgestellt.
Danach werden die Zeichen bereits in zuflliger Reihenfolge aus-
gegeben, wobei zuerst das Zeichen gemorst wird und erst nach
einer kurzen Pause auf dem Bildschirm erscheint.

[ Die bungen 'Fnfergruppen' und 'Rufzeichen' ]
 'Fnfergruppen' und 'Rufzeichen' 

Die bung 'Fnfergruppen' erzeugt Zeichengruppen aus jeweils 5
Zeichen. Die Zeichen werden mit einem Zufallsgenerator aus dem
Zeichenvorrat genommen, der ber das Men 'Lektionen' eingerich-
tet werden kann. Vor Beginn der bung kann die Anzahl der Fnfer-
gruppen ber die Tasten LEFT und RIGHT eingestellt werden.

Die bung 'Rufzeichen' erzeugt Amateurfunk-Rufzeichen mit unter-
schiedlichen Landeskennern. Vor Beginn der bung kann die Anzahl
ber die Tasten LEFT und RIGHT eingestellt werden. Im Pile-Up-
Modus werden Tonhhe und Geschwindigkeit fr jedes neue Rufzei-
chen variiert; dies simuliert ein Pile-Up. Die Geschwindigkeit
variiert dabei um +/-30% vom eingestellten Mittelwert.

[ Die bungen 'Textgenerator' und 'Klartexte' ]
 'Textgenerator' und 'Klartexte' 
Die bung 'Textgenerator' verwendet den gesamten Wortschatz der
Datei KLARTEXT.MT und erzeugt durch Ausgabe von Wrtern in zufl-
liger Reihenfolge sogenannten Pseudo-Klartext. Dieser lt sich
im Gegensatz zum richtigen Klartext nicht mehr so leicht vorher-
sagen. Es werden jeweils bis zu 40 Wrter ausgegeben. Die max.
Lnge der ausgewhlten Wrter kann eingestellt werden (siehe 
'Konfiguration I').

Die bung 'Klartexte' gibt die in der Datei KLARTEXT.MT gespei-
cherten Texte vollstndig, aber in zuflliger Reihenfolge aus.

HINWEISE: Sie knnen die Texte in der Datei KLARTEXT.MT mit einem
ASCII-Editor beliebig ndern bzw. ergnzen. Eine Zeile entspricht
dabei einem Text und darf nicht mehr als 200 Zeichen enthalten.
Es werden max. 200 Texte geladen. 
ber den Parameter -T <Datei> knnen Sie eine andere Textdatei
als Quelle fr die beiden bungen angeben.

[ Die bung 'Abkrzungen und Q-Gruppen' ]
 'Abkrzungen und Q-Gruppen' 

Das Programm enthlt eine Liste mit Q-Gruppen, Abkrzungen aus 
der deutschen und englischen Sprache und Zahlenkrzel. Diese Ab-
krzungen bilden den Grundwortschatz fr den weltweiten Telegra-
phie-Funkverkehr. Die bung 'Abk. u. Q-Gruppen' gibt jeweils bis
zu 100 dieser Abkrzungen nach dem Zufallsprinzip aus.

[ Die bung 'QSO-Texte' ]
 'QSO-Texte' 

Die bung 'QSO-Texte' gibt die in der Datei QSOTEXTE.MT gespei-
cherten Texte nach dem Zufallsprinzip aus.

HINWEISE: 
Sie knnen die Texte in der Datei QSOTEXTE.MT mit einem ASCII-
Editor beliebig ndern bzw. ergnzen. Eine Zeile entspricht dabei
einem Text und darf nicht mehr als 200 Zeichen enthalten. Es wer-
den max. 200 Texte geladen.

ber den Parameter -Q <Datei> knnen Sie eine andere Datei mit
QSO-Texten als Quelle benennen.

[ Die bung 'Prfungstexte' ]
 'Prfungstexte' 

Die bung 'Prfungstexte' erstellt mit Hilfe der Texte aus der
Datei PRUEFTXT.MT Prfungstexte, die aus 60 Zeichen Fnfergrup-
pen, 60 Zeichen Klartext und 60 Zeichen QSO-Text bestehen. Diese
Texte, mit 60 BpM gegeben, entsprechen den Prfungsanforderungen
fr die Lizenzklasse B, mit 30 BpM denen der Klasse A. Es drfen
drei Fehler gemacht werden.

HINWEISE:
Sie knnen die Texte in der Datei PRUEFTXT.MT mit einem ASCII-
Editor beliebig ndern bzw. ergnzen. Eine Zeile darf nicht mehr
als 100 Zeichen enthalten. Es mssen abwechselnd ein Klar- und 
ein QSO-Text vorhanden sein. Es werden max. 200 Texte, bestehend
aus je einem Klar- und QSO-Text, geladen. 

ber den Parameter -P <Datei> knnen Sie eine andere Datei mit
Prfungstexten als Quelle benennen.

[ Eingeben und Laden eigener Texte ]
 'Texte eingeben' und 'Texte laden' 

ber die bung 'Texte eingeben' knnen Sie mit Hilfe eines ein-
fachen Editors eigene Texte erstellen. Korrekturen knnen Sie mit
Hilfe der Tasten BACKSPACE und ENTF vornehmen. Drcken Sie ENTER,
um die Eingabe zu beenden. Anschlieend knnen Sie die Texte un-
ter einem eigenen Dateinamen speichern und morsen lassen.
ACHTUNG: Beim Speichern werden vorhandene Dateien gleichen
         Namens berschrieben!

Mit 'Texte laden' knnen Sie Text-Dateien laden und anschlieend
morsen lassen. Bewegen Sie im Dateiauswahl-Fenster den Cursor auf
die entsprechende Datei und drcken Sie die ENTER-Taste. Damit
wird die Datei geladen. Beim Morsedurchgang werden max. die er-
sten 600 Zeichen der Datei ausgegeben. Zeichen, die nicht im Mor-
sealphabet vorkommen, werden durch ein '*' angezeigt und als
Leerzeichen kodiert gesendet.

[ Beschreibung des Lektionen-Mens ]
 Men LEKTIONEN 

ber das Men 'Lektionen' wird der Zeichenvorrat fr die bung
'Fnfergruppen' eingestellt. Dabei folgen die Lektionen 1 bis 11
dem Aufbau des Morsekurses des DARC. Die Lektionen 1 bis 10 kn-
nen beliebig kombiniert werden. Unter dem Men-Punkt 'Eigene Zei-
chen' lassen sich mit bis zu 30 verschiedenen Zeichen eigene Lek-
tionen erstellen. Die Men-Punkte 'Buchstaben A-Z' und 'Ziffern
u. Sonderzeichen' bieten entsprechende Zeichenkombinationen.

[ Hinweise zur Geschwindigkeitsangabe BpM ]
 Geschwindigkeitangabe BpM 

Die Geschwindigkeitsangabe BpM (Buchstaben pro Minute) bezieht
sich auf das Standardbezugswort PARIS, das bei 60 BpM entsprech-
end 12 mal in der Minute gegeben werden kann. Die Geschwindigkeit
lt sich in Schritten von 5 BpM zwischen 10 und 200 BpM einstel-
len. Unterhalb von 50 BpM werden die Zeichen selbst wie bei 50
BpM gegeben und nur die Pausen entsprechend verlngert.

Um zur Orientierung mglichst genaue Geschwindigkeitsangaben zu
erhalten, sollten Sie beim ersten Aufruf des Programms eine Ge-
schwindigkeits-Anpassung an Ihren Rechner durchfhren, da es je
nach Hardware zu mehr oder weniger groen Abweichungen von den
Angaben kommen kann. Zur Durchfhrung der Anpassung siehe Hilfe-
Text 'Konfiguration I'.

[ Allg. Informationen zum Morse-Trainer ]
 Allg. Programminformationen 

Dieses Programm ist FREEWARE. Es darf ohne Einschrnkungen ko-
piert und weitergereicht werden, sofern der Urheber-Vermerk nicht
verndert wird und fr die Weitergabe keine Gebhr erhoben wird.

Das Programm wurde auf verschiedenen Rechnern nach dem Industrie-
standard ausfhrlich getestet und lief fehlerfrei. Dennoch sind
Fehler nicht auszuschlieen. Der Autor kann daher keine Haftung
fr eventuell auftretende Probleme bernehmen. Hinweise auf
Fehler und Anregungen, die dazu beitragen, den Funktionsumfang 
des Morse-Trainers zu verbessern, bitte an:

Dirk J. Huck (DL5KBP)
Auf dem Broich 17a
51519 Odenthal
